CommonFactories (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class CommonFactories

    java.lang.Object
      org.neo4j.kernel.CommonFactories

Deprecated.

    @Deprecated
    public class CommonFactories

extends Object

Constructor Summary
`CommonFactories()` Deprecated.

Method Summary
`static org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction` | `defaultFileSystemAbstraction()` Deprecated.
`static IdGeneratorFactory` | `defaultIdGeneratorFactory()` Deprecated.
`static org.neo4j.kernel.impl.core.LastCommittedTxIdSetter` | `defaultLastCommittedTxIdSetter()` Deprecated.
`static org.neo4j.kernel.impl.transaction.xaframework.LogBufferFactory` | `defaultLogBufferFactory()` Deprecated.
`static org.neo4j.kernel.impl.transaction.xaframework.RecoveryVerifier` | `defaultRecoveryVerifier()` Deprecated.
`static org.neo4j.kernel.impl.transaction.TxHook` | `defaultTxHook()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonFactories

    public CommonFactories()

  Deprecated.

Method Detail

### defaultIdGeneratorFactory

    public static IdGeneratorFactory defaultIdGeneratorFactory()

  Deprecated.

### defaultFileSystemAbstraction

    public static org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction defaultFileSystemAbstraction()

  Deprecated.

### defaultLogBufferFactory

    public static org.neo4j.kernel.impl.transaction.xaframework.LogBufferFactory defaultLogBufferFactory()

  Deprecated.

### defaultLastCommittedTxIdSetter

    public static org.neo4j.kernel.impl.core.LastCommittedTxIdSetter defaultLastCommittedTxIdSetter()

  Deprecated.

### defaultTxHook

    public static org.neo4j.kernel.impl.transaction.TxHook defaultTxHook()

  Deprecated.

### defaultRecoveryVerifier

    public static org.neo4j.kernel.impl.transaction.xaframework.RecoveryVerifier defaultRecoveryVerifier()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.